<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Challenge 4</title>

  
  </head>
  <body>
    <form name="form" action="" method="GET">
      <label>Nombre:</label>
      <input type="text" id="nombre" name="nombre"/>
      </br></br> 
      <label>Apellido:</label>
      <input type="text" id="apellido" name="apellido" />
      </br></br>
      <label>Edad:</label>
      <input type="number" id="edad" value=0 name="edad" />
      </br></br>
      <label> Tiene licencia</label>
      <select name="tieneLicencia" id="tieneLicencia">
        <option value="SI" selected>Si</option>
        <option value="NO">No</option>
      </select>
      </br></br>
      <label> Fecha Expiracion</label>
      <input type="date" id="fechaExpiracion" name="fechaExpiracion">
      </br></br>
      <!--       <label> Es mayor de 18 años</label>
            <select name="esMayor" id="esMayor">
              <option value="SI" selected>Si</option>
              <option value="NO">No</option>
            </select>
      -->    
      </br></br>
      <button type="button" id="verificar" name="verificar">Verificar</button>
    </form>
      <p id="demo">El Resultado es: </p>
    <script>
 
      const btnVerificar = document.getElementById("verificar");

      btnVerificar.addEventListener("click", function () {
        let Nombre = document.getElementById("nombre").value;
        if(Nombre === ''){
          alert("Debes ingresar tu nombre");
        }
        let Apellido = document.getElementById("apellido").value;
        if(Apellido === ''){
          alert("Debes ingresar tu Apellido");
        }
        let Edad = parseInt(document.getElementById("edad").value, 10);
        let resultConEdad;
        if(Edad === 0 ){
          alert("Debes ingresar tu Edad");
        }else if (Edad >= 18 ){
          resultConEdad = "Tu edad te permite "
        }else {
          resultConEdad = "Tu edad no te permite "
        }
        let resulLicencia; 
        let Licencia = document.getElementById("tieneLicencia").value;
        if (resulLicencia === "SI" ){
          resulLicencia = "y SI posees licencia "
        }else {
          resulLicencia = "y No posees licencia"
        }
        let resulfecha;
        let fechaExpiracion = document.getElementById("fechaExpiracion").value;
        if( (new Date(fechaExpiracion).getTime() > new Date(Date.now()).getTime()))
          {
            resulfecha = 'Tu carnet no esta vencido';
          }else {
            resulfecha = 'Tu carnet esta vencido';
          }
        let resulResta = `Hola ${Nombre}, ${Apellido}, ${resultConEdad} - ${resulLicencia} - ${resulfecha} `;
        document.getElementById("demo").innerHTML = resulResta;
        
      });

    </script>
  </body>
</html>
